#!/usr/bin/python3

# Matplotlib a NumPy - vizualizácia dát

# state-machine environment
import matplotlib.pyplot as plt
import numpy as np

# figure, axes
fig,ax = plt.subplots()

# nastavenie axes
ax.set(xlim = [0,10],ylim = [-2,20],
       xlabel = "x",ylabel = "y",
       title = "Jednoduché funkcie")

# vráti pole rovnomerne rozložených číslic [start,stop,počet]
x = np.linspace(0,10,100)
ax.plot(x,x,label = "Lineárna")
ax.plot(x,x**2,label = "Kvadratická")
ax.plot(x,x**3,label = "Kubická")

# vráti pole rovnomerne rozložených číslic [start,stop,krok]
x = np.arange(0.0,11.0,0.1)
# vráti pole - výsledky výpočtu sin(x)
y = 2*np.sin(x)
ax.plot(x,y,label = "Sínusoida")

ax.legend()
ax.grid()

plt.show()
